WATCHGOD(1)

NAME
daphne — Watch a directory and execute a python function on changes

SYNOPSIS

daphne [--help] [--verbosity LEVEL] [function] [path] [--args ARGUMENTS]

DESCRIPTION

This manual page documents briefly the daphne command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

daphne is a program that watches a directory and executes a python function on changes.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--help
    Show help message and exit.

--verbosity LEVEL
    Set output verbosity level to 0, 1 (default) or 2.

-a ARGUMENTS                     --args ARGUMENTS
    Arguments for argparser inside executed function. Ex.: module.func path --args --inner arg -v.

ARGUMENTS

function
    Path to python function to execute.

path
    Filesystem path to watch, defaults to current directory.

AUTHOR

This manual page was written by fladi fladi@debian.org for the Debian system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.